// RfidFlash.h : Main header file for the RFIDFLASH application

#pragma once


#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// Resource symbols

/////////////////////////////////////////////////////////////////////////////
// CRfidFlashApp:
// Siehe RfidFlash.cpp fr die Implementierung dieser Klasse
//

class CRfidFlashApp : public CWinApp
{
public:
	CRfidFlashApp();

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CRfidFlashApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementierung

	//{{AFX_MSG(CRfidFlashApp)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


typedef struct _WT_BINHDR
    {
    DWORD zero;         // always 0
    WORD struct_type;   // command code
    WORD struct_length; // length of the total packet in bytes
    } WT_BINHDR;

typedef struct _T_FILTERMATCH
    {
    BYTE bAction;
    BYTE baTagID[ 8 ];
    struct _TIMESTAMP {
        BYTE bYear;
        BYTE bMonth;
        BYTE bDay;
        BYTE bWeekday;
        BYTE bHour;
        BYTE bMinute;
        BYTE bSecond;
        } ts;
    BYTE bFilterset;
    } T_FILTERMATCH;

typedef struct _T_FLASH_IO
    {
    BYTE baTagID[ 8 ];
    WORD wOffset;
    WORD wLength;
    } T_FLASH_IO;

typedef struct _T_FLASH_IO_PLUS
    {
    BYTE baTagID[ 8 ];
    WORD wOffset;
    WORD wLength;
    BYTE baData[ 256 ];
    } T_FLASH_IO_PLUS;

// Values for struct_type:
#define CMD_FILTERMATCH     0x0300
#define CMD_BUFFERED_MATCH  0x0301
#define CMD_CLEAR_BUFFER    0x0302
#define CMD_READ_FLASH      0x0320
#define CMD_WRITE_FLASH     0x0321
#define CMD_GET_IO          0x0322
#define CMD_SET_OUTPUT      0x0323

#define ERR_SYNTAX      0xff00  // formal error
#define ERR_SEMANTIC    0xff02  // functional error


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

