// RfidFlashDlg.h : Header file

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CRfidFlashDlg dialog box

class CRfidFlashDlg : public CDialog
{
// Konstruktion
public:
	CRfidFlashDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
    ~CRfidFlashDlg();

// Dialogfelddaten
	//{{AFX_DATA(CRfidFlashDlg)
	enum { IDD = IDD_RFIDFLASH_DIALOG };
	CListBox	m_lbTaglist;
	CComboBox	m_cbAddress;
	CComboBox	m_cbPort;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CRfidFlashDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;
    SOCKET m_sockUdp;
    SOCKET m_sockTcp;
    WT_BINHDR m_bhdrRcv;    // header of the last received packet
    int  m_nDrop;
    BOOL m_fRoboChange;
    BOOL m_fHexMode;
    BYTE m_baInput[ 128 ];
    int  m_nInput;

    void SafeEnableItem( int nCtrl, BOOL fEnable );
    void ConditionalFields();
    BOOL Talk( int nCmd, const char *pcData, int nDataLen );
    int Collect( char *pcBuf, int nBufSize, DWORD dwMaxWait );
    CString HexFormat( BYTE *baData, int nSize, int nWidth );
    void GetInput();
    void ShowInput();

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CRfidFlashDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnRead();
	afx_msg void OnChangeNwrite();
	afx_msg void OnChangeInput();
	afx_msg void OnHexmode();
	afx_msg void OnTextmode();
	afx_msg void OnWrite();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.
