// RfidIODlg.h : Header-Datei

#pragma once


/////////////////////////////////////////////////////////////////////////////
// CRfidIODlg Dialogfeld

class CRfidIODlg : public CDialog
{
// Konstruktion
public:
	CRfidIODlg(CWnd* pParent = NULL);	// Standard constructor
    ~CRfidIODlg();

// Dialogfelddaten
	//{{AFX_DATA(CRfidIODlg)
	enum { IDD = IDD_RFIDIO_DIALOG };
	CComboBox	m_cbPort;
	CComboBox	m_cbAddress;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CRfidIODlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;
    SOCKET m_sockUdp;
    SOCKET m_sockTcp;
    WT_BINHDR m_bhdrRcv;    // header of the last received packet
    int  m_nDrop;

    void SafeEnableItem( int nCtrl, BOOL fEnable );
    void ConditionalFields();
    BOOL Talk( int nCmd, const char *pcData, int nDataLen );
    int Collect( char *pcBuf, int nBufSize, DWORD dwMaxWait );
	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CRfidIODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

