// RfidEventDlg.h : Header-Datei
//

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CRfidEventDlg Dialogfeld

class CRfidEventDlg : public CDialog
    {
// Konstruktion
public:
	CRfidEventDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
    ~CRfidEventDlg();

// Dialogfelddaten
	//{{AFX_DATA(CRfidEventDlg)
	enum { IDD = IDD_RFIDEVENT_DIALOG };
	CListBox	m_lbPackets;
	CComboBox	m_cbPort;
	CComboBox	m_cbAddress;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CRfidEventDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;
    SOCKET m_sockUdp;
    SOCKET m_sockTcp;
    WT_BINHDR m_bhdr;       // header of the last received packet
    BYTE m_baBuf[ 40 ];     // the contents of the received packet itself
    int  m_nData;           // number of valid bytes in the combined buffer
                            // composed of m_bhdr and m_baBuf
    int  m_nDrop;
    BOOL m_fComplete;
    BOOL m_fStalled;        // needed for handling recursive FD_READ notifications

    void SafeEnableItem( int nCtrl, BOOL fEnable );
    void ConditionalFields();
    BOOL Talk( int nCmd, const char *pcData, int nDataLen );
    void OnReceive();
	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CRfidEventDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnSelchangePackets();
	afx_msg void OnClearbuf();
	afx_msg void OnReadbuf();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
    };

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

